Subject: Re: "invoice" solicitation
From: "Mike" <[email-masked]>
To: "David R. Brake" <[email-masked]>
Date: Fri, 28 Aug 2009 11:47:24 -0400

The date on the letter is May 6, 2009.  Was this a previous letter or does it just not have the current date on it?  I didn't know if it mattered or not but thought I would just ask.  Also, any word about North Dakota and doing posters?  I had asked Ronda to ask you as well.  You can just have her respond if you prefer.
Thank you,
Michael Bishop
Labor Law Poster Service
Phone 877-321-4144
Fax 888-442-4144
[email-masked] 
  ----- Original Message ----- 
  From: David R. Brake 
  To: Mike Bishop 
  Sent: Friday, August 28, 2009 11:40 AM
  Subject: "invoice" solicitation

  Please print the attached for Joe.  Thanks.
  David R. Brake, Esq.
  7521 Westshire Dr.  Ste 100
  Lansing MI 48917
  Direct dial: (517) 622-2411
  [email-masked]